[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImgList' (#lcl)

# TCustomImageList.RegisterResolutions

Registers image resolutions (sizes) to use in the image list.

## Declaration

Source position: imglist.pp line 396

`public procedure TCustomImageList.RegisterResolutions(`
`const AResolutionWidths: array of Integer`
`); virtual;`

## Arguments

`AResolutionWidths` |  | Array of image resolutions to allocate in the image list.

## Description

RegisterResolutions is a procedure used to register image resolutions (or sizes) used in the image list. RegisterResolutions allows TCustomImageListResolution instances to be created and stored in the image resolution container for the image list.

AResolutionWidths is an array of Integer values that contains the icon widths for the image resolutions used in the image list. Each image width is passed as an argument to the GetResolution method. This locates the image resolution class instance if it already exists, or creates a new one when needed. The AutoCreatedInDesignTime property in the image resolution is set to False to show that the resolution was created at run-time.

Use RegisterResolutions prior to adding images to the image list at run-time.

## See also

TCustomImageList.GetResolution |  | Gets the value for the indexed Resolution property.
TCustomImageListResolution |  | Implements an image resolution (or size) used in TCustomImageList.